<script>
export default {
  onLaunch: function (option) {
    const that = this;
    uni.setStorageSync("hot_startup_option", option);
    let updateManager = uni.getUpdateManager();
    if (!updateManager) {
      return;
    } else {
      //新版本更新
      if (uni.canIUse("getUpdateManager")) {
        //判断当前微信版本是否支持版本更新

        updateManager.onCheckForUpdate(function (res) {
          if (res.hasUpdate) {
            // 请求完新版本信息的回调
            updateManager.onUpdateReady(function () {
              uni.showModal({
                title: "更新提示",
                content: "新版本已经准备好，是否重启应用？",
                success: function (res) {
                  if (res.confirm) {
                    // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
                    updateManager.applyUpdate();
                  }
                },
              });
            });
            updateManager.onUpdateFailed(function () {
              uni.showModal({
                // 新的版本下载失败
                title: "已经有新版本了哟~",
                content:
                  "新版本已经上线啦~，请您删除当前小程序，重新搜索(财仝驾考)打开哟~",
              });
            });
          } else {
          }
        });
      } else {
        uni.showModal({
          // 如果希望用户在最新版本的客户端上体验您的小程序，可以这样子提示
          title: "提示",
          content:
            "当前微信版本过低，部分功能无法使用，请升级到最新微信版本后重试。",
        });
      }
    }
    uni.getPrivacySetting({
      success(res) {
        console.log(
          "是否需要授权：",
          res.needAuthorization,
          "隐私协议的名称为：",
          res.privacyContractName
        );
        if (res.needAuthorization) {
          that.globalData.privacyContractName = res.privacyContractName;
          that.globalData.showPrivacy = true;
        } else {
          that.globalData.showPrivacy = false;
        }
      },
    });
  },
  onLoad() {},
  onShow(option) {
    uni.setStorageSync("cold_startup_option", option);
    console.log(option);
  },
};
</script>

<style lang="scss">
/* #ifdef MP-TOUTIAO */

/* #endif  */
/* #ifdef MP-WEIXIN */
@import "@/wxcomponents/vant/common/index.wxss";
@import "@/common/css/animation.css";
/* #endif  */

/*每个页面公共css */
// page {
//   font-family: -apple-system, BlinkMacSystemFont, "Helvetica Neue", Helvetica,
//     Segoe UI, Arial, Roboto, "PingFang SC", "miui", "Hiragino Sans GB",
//     "Microsoft Yahei", sans-serif;
// }
page {
  font-family: -apple-system, Arial, "Helvetica Neue", Helvetica, "PingFang SC",
    "Hiragino Sans GB", "Heiti SC", "MicrosoftYaHei", "WenQuanYi Micro Hei",
    sans-serif;
}
view {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  background-color: #f1f1f1;
}

.night {
  filter: invert(1) hue-rotate(180deg);
}
.van-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.65);
}
.uni-app-fontsize-paragraph {
  font-size: $uni-app-fontsize-paragraph;
}
.wxad {
  padding-bottom: 20rpx;
  padding-top: 20rpx;
  border-top: 2rpx dashed #a8a8a8;
  width: 100%;
}
.pl0 {
  padding-left: 0 !important;
}
.mt40 {
  margin-top: 40rpx;
}
.no-bg {
  background: transparent !important;
}
</style>
